* {
  box-sizing: border-box;
}

html,
body {
  margin: 0 auto;
  padding: 0;
  background-color: #f6f7f8;
  font-family: "Inter";
  max-width: 1920px;
  width: 100%;
  position: relative;
}

.contentWrapper {
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  height: 100vh;
  position: relative;
  background-color: #f6f7f8;
}

.heroLogo {
  width: 80px;
  height: auto;
  position: relative;
  top: 3.5em;
  left: 3.5em;
}

h2 {
  text-align: center;
  margin-block: 0;
  font-size: 2.75rem;
  font-weight: 700;
}

.hr {
  width: 28%;
  border: 2px solid #29abe2;
  margin: 0.125em auto;
}

form {
  display: flex;
  flex-direction: column;
  margin-top: 1em;
}

.inputWrapper {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.inputWrapper span {
  width: 75%;
  margin: 0 auto;
  position: relative;
  top: -1em;
  left: 1.75em;
}

.inputIconSignUp {
  height: 1rem;
  position: absolute;
  right: 4rem;
  top: 1.1rem;
  z-index: 2;
}

.passwordIcon {
  cursor: pointer;
}

.inputfieldSignUp {
  width: 75%;
  margin: 0.7em auto;
  border-radius: 10px;
  border: 2px solid #dcdcdc;
  padding: 0.5em 1em;
  z-index: 1;
}

.buttonWrapperSignUp {
  margin: 1em auto 2em;
  display: flex;
  gap: 1em;
}

.button {
  border-radius: 8px;
  border: 1px solid #2a3647;
  padding: 0.4em 0.65em;
  font-size: 1rem;
  font-weight: 700;
  cursor: pointer;
}

.legalLinks {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2.5em;
  color: #a8a8a8;
  font-size: 1rem;
  padding-bottom: 1.5em;
}

.privacyPolicy,
.legalNotice {
  cursor: pointer;
  transition: scale 125ms ease-in-out, font-weight 125ms ease-in-out,
    color 125ms ease-in-out;
}

.privacyPolicy:hover {
  color: #28abe2;
  transform: scale(1.1);
  font-weight: 500;
}

.legalNotice:hover {
  color: #28abe2;
  transform: scale(1.1);
  font-weight: 500;
}

.signUpContainer {
  border-radius: 30px;
  background-color: #ffffff;
  box-shadow: 0px 2px 14px 2px rgba(0, 0, 0, 0.23);
  padding: 1em;
}

.signUpButton {
  background-color: #2a3647;
  color: white;
  text-decoration: none;
  transition: background-color 125ms ease-in-out, border 125ms ease-in-out;
}

.signUpButton:visited {
  text-decoration: none;
}

.signUpButton:hover {
  background-color: #28abe2;
  border: 1px solid transparent;
}

.returnArrow {
  position: relative;
  top: 2.5em;
  left: 1em;
  cursor: pointer;
  border-radius: 50%;
  padding: 0.25em;
  transition: border-radius 125ms ease-in-out,
    background-color 125ms ease-in-out;
}

.returnArrow:hover {
  border-radius: 50%;
  padding: 0.25em;
  background-color: #eeeeee;
}

.contentSignUp {
  margin: 5vh auto;
  max-width: 500px;
  width: 100%;
  max-height: 566px;
  height: 100%;
}

.hightlight {
  color: #28abe2;
  cursor: pointer;
}

.checkbox {
  width: 5%;
  cursor: pointer;
}

.checkbox:hover {
  scale: 1.1;
}

.checkPrivacyPolicy {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 1em;
}

.checkPrivacyPolicy .inputfield:focus {
  outline: none;
  border: 2px solid #28abe2;
}

.errorMsgPassword {
  font-size: 0.6rem;
  color: red;
  position: relative;
  top: -1em;
  left: -1.6em;
}

.errorMsgEmail {
  font-size: 0.6rem;
  padding: 0;
}

.redBorder {
  border: 2px solid red;
}

.hide {
  color: rgb(255, 255, 255);
  font-size: 0.6rem;
}

.show {
  display: flex;
  color: red;
}

@media (max-height: 1000px) {
  .contentSignUp {
    max-height: none;
    height: fit-content;
    margin: -2vh auto;
  }

  .legalLinks {
    font-size: 0.8rem;
  }
}

@media (max-height: 900px) {
  .contentSignUp {
    margin: -2vh auto;
  }

  .buttonWrapperSignUp {
    margin: 1em auto 0.5em;
  }
}

@media (max-width: 800px) {
  .legalLinks {
    font-size: 0.8rem;
  }
}

@media (max-width: 700px) {
  .heroLogo {
    width: 40px;
    height: auto;
    position: relative;
    top: 0.75em;
    left: 1.5em;
  }
}

@media (max-width: 550px) {
  .contentSignUp {
    max-width: 95%;
    max-height: 665px;
  }
}

@media (max-width: 475px) {
  .inputfieldSignUp {
    width: 95%;
  }

  .inputIconSignUp {
    right: 1em;
  }
}

@media (max-width: 400px) {
  .returnArrow {
    left: 0;
  }

  .checkbox {
    width: 10%;
  }

  .checkPrivacyPolicy {
    font-size: 0.7rem;
  }
}

@media (max-width: 375px) and (max-height: 740px) {
  .signUpContainer {
    padding: 0 1em;
  }

  .inputWrapper span {
    font-size: 0.5rem;
    left: 0.5em;
  }
}
